Package org.apache.sling.cms.core.internal.models

## Class ComponentConfigurationImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.ComponentConfigurationImpl

All Implemented Interfaces:
  `ComponentConfiguration`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.ComponentConfiguration.class)
    public class ComponentConfigurationImpl
    extends Object
    implements ComponentConfiguration

### Constructor Summary

Constructors
`ComponentConfigurationImpl​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.api.resource.ValueMap` `getProperties()`
`org.apache.sling.api.resource.Resource` `getResource()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentConfigurationImpl

    public ComponentConfigurationImpl​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getProperties

    public org.apache.sling.api.resource.ValueMap getProperties()

Specified by:
  `getProperties` in interface `ComponentConfiguration`

#### getResource

    public org.apache.sling.api.resource.Resource getResource()

Specified by:
  `getResource` in interface `ComponentConfiguration`